Bug 55695 - pcmcia scheme mechanism broken
pcmcia scheme mechanism broken
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-04 21:07 EST by Ed Swierk
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 03:13:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ed Swierk 2001-11-04 21:07:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4)
Gecko/20011019 Netscape6/6.2

Description of problem:
The scripts in the kernel-pcmcia-cs and hotplug packages cause the pcmcia
scheme mechanism to fail.

In /etc/pcmcia/wireless.opts, one can give different groups of settings for
the same wireless network card.  For example, one group of settings could
be for work and the other for home.  The user tells the system which group
of settings to use with "pcmcia scheme xxxx" where xxx is the name of the
scheme.

In order for this to work, whatever program or script it is that calls
/etc/pcmcia/wireless.opts must pass in the name of the currently active
scheme in the ADDRESS variable.

However, it seems that /etc/hotplug/net.agent is hardcoded to pass "*" as
the name of the scheme.  This causes the first group of settings in
/etc/pcmcia/wireless.opts to be used, regardless of the scheme setting.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Add a new group of settings for an existing wireless card in
/etc/pcmcia/wireless.opts, and give it a new scheme name.

2. Activate the new scheme with "pcmcia scheme xxx".

3. Watch as the old scheme is still used.


Additional info:

Note You need to log in before you can comment on or make changes to this bug.